Subject: Re: [PATCH 2/3] log: add default decoration filter

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Jul 2022 12:38:29 -0700

Derrick Stolee <[email-masked]> writes:

>>> * Notes (refs/notes/)
>> 
>> Questionable.  None of the notes commits are on the primary history,
>> so it is unlikely to be even used for decoration, so it would not
>> hurt to have them as part of possible decoration sources, but on the
>> other hand, the value of using them is dubious.
>
> I had originally left this out of the filter, but then noticed that test
> 4013.102 (git log --decorate --all # magic is (not used)) includes an
> instance of refs/notes/. Perhaps this is just old test cruft and could be
> changed.
>
> I could remove this from the filter and change the old test to match the
> new behavior.

I can summarize what I said to "Keeping this will not hurt, but it
is unclear if anybody depends on it"---and I am OK to err on the
safe side, i.e. keep notes and stash in the default set.